libgdamm: Gnome::Gda::DataAccessWrapper Class Reference

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gnome::Gda::DataAccessWrapper Class Reference
[Data Models]

Offers random access on top of a cursor-only access data model. More...

Inheritance diagram for Gnome::Gda::DataAccessWrapper:
[legend]
Collaboration diagram for Gnome::Gda::DataAccessWrapper:
[legend]

List of all members.

## Public Member Functions
virtual | ~DataAccessWrapper ()
GdaDataAccessWrapper* | gobj ()
| Provides access to the underlying C GObject.
const GdaDataAccessWrapper* | gobj () const
| Provides access to the underlying C GObject.
GdaDataAccessWrapper* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< DataModel > > | property_model () const
| Data model being wrapped.
## Static Public Member Functions
static Glib::RefPtr < DataAccessWrapper > | create (const Glib::RefPtr< DataModel >& model)
## Protected Member Functions
| DataAccessWrapper (const Glib::RefPtr< DataModel >& model)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gnome::Gda::DataAccessWrapper > | wrap (GdaDataAccessWrapper* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Offers random access on top of a cursor-only access data model.

The Gda::DataAccessWrapper object simply wraps around another Gda::DataModel data model object and allows data to be accessed in a random way while remaining memory efficient as much as possible.

## Constructor & Destructor Documentation

virtual Gnome::Gda::DataAccessWrapper::~DataAccessWrapper | ( | ) | `[virtual]`

Gnome::Gda::DataAccessWrapper::DataAccessWrapper | ( | const Glib::RefPtr< DataModel >& | model ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<DataAccessWrapper> Gnome::Gda::DataAccessWrapper::create | ( | const Glib::RefPtr< DataModel >& | model ) | `[static]`

GdaDataAccessWrapper* Gnome::Gda::DataAccessWrapper::gobj | ( | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::DataModel.

const GdaDataAccessWrapper* Gnome::Gda::DataAccessWrapper::gobj | ( | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::DataModel.

GdaDataAccessWrapper* Gnome::Gda::DataAccessWrapper::gobj_copy | ( | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<DataModel> > Gnome::Gda::DataAccessWrapper::property_model | ( | ) | const

Data model being wrapped.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gnome::Gda::DataAccessWrapper > wrap | ( | GdaDataAccessWrapper * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgdamm/dataaccesswrapper.h